Execute MCP tool

Executes an MCP tool and returns the result.

POST
/v1/mcp/tool/execute
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Query Parameters

format?string

Format of the tool execution request/response.

Default"chat"
Value in"chat" | "responses"

Chat format - uses ChatAssistantMessageToolCall schema

index?integer
type?string
id?string
functionobject

Responses format - uses ResponsesToolMessage schema

call_id?string

Common call ID for tool calls and outputs

namestring

Tool function name (required for execution)

arguments?string

Tool function arguments as JSON string

output?object

Tool execution output

Empty Object

action?object

Tool action configuration

Empty Object

error?string

Error message if tool execution failed

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/v1/mcp/tool/execute?format=chat" \  -H "Content-Type: application/json" \  -d '{    "id": "call_123",    "type": "function",    "function": {      "name": "get_weather",      "arguments": "{\"location\": \"San Francisco\"}"    }  }'

{
  "name": "get_weather",
  "role": "tool",
  "tool_call_id": "call_123",
  "content": "The weather in San Francisco is 72°F and sunny."
}

{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings